Wallets, tokens & networks
Get All Wallet References For Multiple Tokens
Builds per-employee, per-token wallet reference rows with distribution ratios and amounts for a token payroll.
Not available to API keys yet. It will need banking:write and compensation:read and payroll:read.
curl --request POST \
--url 'https://api.toku.com/tga/get-all-wallet-references-for-multiple-tokens' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgIDs": [
"string"
],
"tokenTypeIDs": [
"string"
],
"tokenPayrollID": "string"
}'[
{
"walletReferenceID": "string",
"roleInOrgID": "string",
"employeeName": "string",
"externalEmployeeID": "string",
"tokenName": "string",
"tokenCurrencyCode": "string",
"tokenTypeID": "string",
"wallet": {
"walletID": "string",
"roleInOrgID": "string",
"name": "string",
"address": "string",
"memo": "string",
"destinationTag": 0,
"network": "string",
"status": "PENDING",
"walletType": "SELF_CUSTODY",
"orgNetworkID": "string",
"createdAt": "string",
"updatedAt": "string",
"isCurrent": true,
"isDefault": true,
"legacyMigratedAt": "string",
"legacyModelID": 0,
"walletTypeCustomID": "string",
"nickName": "string",
"investorEntityID": "string",
"tokenTypeID": "string",
"connectedViaMesh": true,
"userDismissed": true,
"tokenType": {
"tokenTypeID": "string",
"name": "string",
"currencyCode": "string",
"icon": "string",
"orgID": "string",
"enabledForPayrollType": "ON_CYCLE",
"networkID": "string",
"address": "string",
"decimalPlaces": 0,
"coinMarketCapID": "string",
"createdAt": "string",
"isTokenEnabled": true,
"isContractorDefault": true,
"defaultTokenSlug": "string",
"catalogTokenDeploymentID": "string"
},
"orgNetwork": {
"networkID": "string",
"orgID": "string",
"name": "string",
"icon": "string",
"tokenType": "ERC20",
"isNetworkEnabled": true,
"chainType": "EVM",
"meshConnectNetworkID": "string",
"evmChainID": 0,
"multiSendCallOnlyAddress": "string",
"safeSingletonAddress": "string",
"safeFactoryAddress": "string",
"safeAppBaseUrl": "string",
"safeTxServiceUrl": "string",
"blockExplorerBaseUrl": "string",
"eipsName": "string",
"aleoTransferVisibility": "PUBLIC",
"defaultNetworkSlugUrl": "string",
"catalogChainID": "string"
}
},
"distributionRatio": "string",
"tokenAmount": "string",
"roleInOrg": {
"roleInOrgID": "string",
"personID": "string",
"person": {
"givenName": "string",
"familyName": "string"
},
"externalEmployeeID": "string"
}
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIDsstring[]requiredtokenTypeIDsstring[]requiredtokenPayrollIDstringrequiredResponse
200Successful response
walletReferenceIDstring | nullrequiredroleInOrgIDstringrequiredemployeeNamestringrequiredexternalEmployeeIDstring | nullrequiredtokenNamestringrequiredtokenCurrencyCodestringrequiredtokenTypeIDstringrequiredwalletobjectrequiredShow child attributes
walletIDstringrequiredroleInOrgIDstringrequirednamestring | nullrequiredaddressstring | nullrequiredmemostring | nullrequireddestinationTaginteger | nullrequirednetworkstringrequiredstatusstringrequiredAvailable options: PENDING, PENDING_ADMIN_LINK_TXN, PENDING_TXN_APPROVAL, VERIFIED, REJECTED, ARCHIVED, CANCELLED
walletTypestring | nullrequiredAvailable options: SELF_CUSTODY, EXCHANGE, null
orgNetworkIDstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredisCurrentbooleanrequiredisDefaultbooleanrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDinteger | nullrequiredwalletTypeCustomIDstring | nullrequirednickNamestring | nullrequiredinvestorEntityIDstring | nullrequiredtokenTypeIDstring | nullrequiredconnectedViaMeshbooleanrequireduserDismissedbooleanrequiredtokenTypeobject | nullrequiredShow child attributes
tokenTypeIDstringrequirednamestringrequiredcurrencyCodestringrequirediconstring | nullrequiredorgIDstringrequiredenabledForPayrollTypestring | nullrequiredAvailable options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT, null
networkIDstringrequiredaddressstring | nullrequireddecimalPlacesinteger | nullrequiredcoinMarketCapIDstring | nullrequiredcreatedAtstringrequiredisTokenEnabledboolean | nullrequiredisContractorDefaultbooleanrequireddefaultTokenSlugstring | nullrequiredcatalogTokenDeploymentIDstring | nullrequiredorgNetworkobject | nullrequiredShow child attributes
networkIDstringrequiredorgIDstringrequirednamestringrequirediconstring | nullrequiredtokenTypestringrequiredAvailable options: ERC20, NATIVE
isNetworkEnabledboolean | nullrequiredchainTypestring | nullrequiredAvailable options: EVM, SOLANA, XRPL, BITCOIN, COSMOS_SDK, FILECOIN, PROVENANCE, ALEO, FOGO, FIAT, NEAR, POLKADOT, STACKS, SUI, null
meshConnectNetworkIDstring | nullrequiredevmChainIDinteger | nullrequiredmultiSendCallOnlyAddressstring | nullrequiredsafeSingletonAddressstring | nullrequiredsafeFactoryAddressstring | nullrequiredsafeAppBaseUrlstring | nullrequiredsafeTxServiceUrlstring | nullrequiredblockExplorerBaseUrlstring | nullrequiredeipsNamestring | nullrequiredaleoTransferVisibilitystring | nullrequiredAvailable options: PUBLIC, PUBLIC_TO_PRIVATE, PRIVATE, null
defaultNetworkSlugUrlstring | nullrequiredcatalogChainIDstring | nullrequireddistributionRatiostringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
tokenAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
roleInOrgobjectrequiredShow child attributes
roleInOrgIDstringrequiredpersonIDstringrequiredpersonobjectrequiredShow child attributes
givenNamestringrequiredfamilyNamestringrequiredexternalEmployeeIDstring | nullrequired